%global         debug_package %{nil}
Name:           gsettings-desktop-schemas
Version:        3.38.0
Release:        1
Summary:        Settings for various components of a desktop

License:        LGPLv2+
URL:            https://github.com/GNOME/gsettings-desktop-schemas
Source0:        https://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz

BuildRequires:  gettext glib2-devel >= 2.31.0 gobject-introspection-devel meson

Requires:       glib2 >= 2.31.0

Recommends:     font(cantarell) font(sourcecodepro)

%description
GSettings schemas for desktop components are contained in this package.

%package        devel
Summary:        Libraries and header files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files are contained in %{name}-devel package. You need to
install the %{name}-devel package if you want to develop applications that use
%{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
glib-compile-schemas --dry-run --strict %{buildroot}%{_datadir}/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS AUTHORS
%license COPYING
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/*.convert
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_datadir}/pkgconfig/*
%{_datadir}/gir-1.0/*.gir

%files help
%defattr(-,root,root)
%doc HACKING README MAINTAINERS

%changelog
* Sat Jan 30 2021 yanglu60 <yanglu60@huawei.com> - 3.38.0-1
- update to 3.38.0

* Wed Jul 22 2020 hanhui <hanhui15@huawei.com> - 3.37.1-1
- update to 3.37.1

* Tue Jan 7 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.34.0-1
- update to 3.34.0

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.32.0-1
- Package Init
